質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.49%

  • Vim

    517questions

    VimとはUnix / Linux 系のOSに標準搭載されているターミナル上で動くテキストエディタです。

NeoBundleInstallを実行すると、「E492: エディタのコマンドではありません:NeoBundleInstall」となる。

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 4,545

mulberryfields

score 752

Vimを使い始め、NeoBundleをインストールしようとしました。
NeoBundleを使おうと思ったのは、Python用のjedi.vimというプラグインを利用したかったためです。
下記サイトを参考にしました。
http://togattti.hateblo.jp/entry/2013/10/16/214911

~/.vim/bundle/neobundle.vim
に、
.vimrc
を作成し、上記サイトに記載してあるプラグイン管理用のコードをコピペしました。
一旦、.vimrcを保存し、
vimを起動して、
:NeoBundleInstall
を実行したところ、
「E492: エディタのコマンドではありません:NeoBundleInstall」
というエラーが表示されました。
:NeoBundleUpdate
を実行しても、
「E492: エディタのコマンドではありません:NeoBundleUpdate」
というエラーが表示されました。

色々調べてみたのですが、どこが悪いのか分かりません。
OSはUbuntuを使っています。
お分かりの方、ご教示頂ければ幸いです。
よろしくお願い致します。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

~/.vim/bundle/neobundle.vim 
に、 
.vimrc 
を作成し、上記サイトに記載してあるプラグイン管理用のコードをコピペしました。 
.vimrcの置き場が違います。.vimrcをホームフォルダ(~)に移動させてみてください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2015/06/09 22:19

    ご回答頂き、ありがとうございます。
    .vimrcをその場所に移動したところ、.vimrcを読み込むようになりました。

    しかし、
    home/aaa/.vimrcの処理中にエラーが検出されました:
    行 8:
    E117: 未知の関数です:neobundle#begin
    ……
    などと、エラーが出ます。
    http://nekoyukimmm.hatenablog.com/entry/2015/04/05/000709
    によると、
    set runtimepath+=~/.vim/bundle/neobundle.vim
    call neobundle#begin(expand('~/.vim/bundle/'))
    の「~」は相対パスでなく、絶対パスでなければならないということなので、
    上記2ヵ所の「~」を、
    「/home/aaa」で置き換えました。
    それでも、上記のエラーが出てしまいます。
    もしお分かりの方がみえたら、よろしくお願い致します。

    キャンセル

  • 2015/06/11 22:34

    うーん、貴方が述べている範囲内では問題無いように思えますが……
    .vimrcを公開して(或いは、問題が発生する最低限の.vimrcを作って)回答を待った方が良いかもしれません。
    その際は、Vimのバージョンも書いた方が良いかと思います。

    キャンセル

  • 2015/06/16 18:47

    ありがとうございます。もう一度やり直してみようと思います。

    キャンセル

関連した質問

同じタグがついた質問を見る

  • Vim

    517questions

    VimとはUnix / Linux 系のOSに標準搭載されているターミナル上で動くテキストエディタです。

  • トップ
  • Vimに関する質問
  • NeoBundleInstallを実行すると、「E492: エディタのコマンドではありません:NeoBundleInstall」となる。